Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.rtmp.codec
Interface IEventDecoder

All Known Implementing Classes:
  RTMPProtocolDecoder, RTMPTProtocolDecoder

    public interface IEventDecoder

Event decoder decodes event objects from incoming byte buffer.

Method Summary
`AudioData` | `decodeAudioData(IoBuffer in)` Decodes audio data event.
`BytesRead` | `decodeBytesRead(IoBuffer in)` Decodes BytesRead event.
`ChunkSize` | `decodeChunkSize(IoBuffer in)` Decodes chunk size event.
`FlexMessage` | `decodeFlexMessage(IoBuffer in, RTMP rtmp)` Decodes Flex message event.
`ISharedObjectMessage` | `decodeFlexSharedObject(IoBuffer in, RTMP rtmp)` Decodes shared object message event from AMF3 encoding.
`Invoke` | `decodeInvoke(IoBuffer in, RTMP rtmp)` Decodes invocation event.
`Notify` | `decodeNotify(IoBuffer in, RTMP rtmp)` Decodes notification event.
`Ping` | `decodePing(IoBuffer in)` Decodes ping event.
`ISharedObjectMessage` | `decodeSharedObject(IoBuffer in, RTMP rtmp)` Decodes shared object message event.
`Unknown` | `decodeUnknown(byte dataType, IoBuffer in)` Decodes event of Unknown type.
`VideoData` | `decodeVideoData(IoBuffer in)` Decodes video data event.

Method Detail

### decodeUnknown

    Unknown decodeUnknown(byte dataType,
                          IoBuffer in)

  Decodes event of Unknown type.

  Parameters:
    `dataType` - Data type
    `in` - Byte buffer to decode
  Returns:
    Unknown event

### decodeChunkSize

    ChunkSize decodeChunkSize(IoBuffer in)

  Decodes chunk size event.

  Parameters:
    `in` - Byte buffer to decode
  Returns:
    ChunkSize event

### decodeSharedObject

    ISharedObjectMessage decodeSharedObject(IoBuffer in,
                                            RTMP rtmp)

  Decodes shared object message event.

  Parameters:
    `in` - Byte buffer to decode
    `rtmp` - RTMP protocol state
  Returns:
    ISharedObjectMessage event

### decodeFlexSharedObject

    ISharedObjectMessage decodeFlexSharedObject(IoBuffer in,
                                                RTMP rtmp)

  Decodes shared object message event from AMF3 encoding.

  Parameters:
    `in` - Byte buffer to decode
    `rtmp` - RTMP protocol state
  Returns:
    ISharedObjectMessage event

### decodeNotify

    Notify decodeNotify(IoBuffer in,
                        RTMP rtmp)

  Decodes notification event.

  Parameters:
    `in` - Byte buffer to decode
    `rtmp` - RTMP protocol state
  Returns:
    Notify event

### decodeInvoke

    Invoke decodeInvoke(IoBuffer in,
                        RTMP rtmp)

  Decodes invocation event.

  Parameters:
    `in` - Byte buffer to decode
    `rtmp` - RTMP protocol state
  Returns:
    Invoke event

### decodePing

    Ping decodePing(IoBuffer in)

  Decodes ping event.

  Parameters:
    `in` - Byte buffer to decode
  Returns:
    Ping event

### decodeBytesRead

    BytesRead decodeBytesRead(IoBuffer in)

  Decodes BytesRead event.

  Parameters:
    `in` - Byte buffer to decode
  Returns:
    BytesRead event

### decodeAudioData

    AudioData decodeAudioData(IoBuffer in)

  Decodes audio data event.

  Parameters:
    `in` - Byte buffer to decode
  Returns:
    AudioData event

### decodeVideoData

    VideoData decodeVideoData(IoBuffer in)

  Decodes video data event.

  Parameters:
    `in` - Byte buffer to decode
  Returns:
    VideoData event

### decodeFlexMessage

    FlexMessage decodeFlexMessage(IoBuffer in,
                                  RTMP rtmp)

  Decodes Flex message event.

  Parameters:
    `in` - Byte buffer to decode
    `rtmp` - RTMP protocol state
  Returns:
    FlexMessage event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project